Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Class GlobalActionHandlerService

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service
              org.eclipse.gmf.runtime.common.ui.services.action.global.GlobalActionHandlerService

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener, IGlobalActionHandlerProvider

    public class GlobalActionHandlerService

extends Service
implements IGlobalActionHandlerProvider

A service that provides the `IGlobalActionHandler` associated with a `IGlobalActionHandlerContext`. This service gets the first provider of the highest priority that provides a `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`.

Nested Class Summary
`protected static class` `GlobalActionHandlerService.ProviderDescriptor` A descriptor for `IGlobalActionHandlerProvider` defined by a configuration element.

Nested classes/interfaces inherited from interface org.eclipse.gmf.runtime.common.ui.services.action.global.IGlobalActionHandlerProvider
`IGlobalActionHandlerProvider.NullElementType`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`INVALID_ELEMENT_MESSAGE_PATTERN`

Constructor Summary
`protected` `GlobalActionHandlerService()` The GlobalActionHandlerService constructor

Method Summary
`IGlobalActionHandler` `getGlobalActionHandler(IGlobalActionHandlerContext context)` Returns the `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`
`static GlobalActionHandlerService` `getInstance()` Gets the instance of GlobalActionHandlerService
`protected Service.ProviderDescriptor` `newProviderDescriptor(IConfigurationElement element)` Creates a new provider descriptor for the specified configuration `element`.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service
`addProvider, clearCache, configureProviders, configureProviders, createPriorityCache, execute, executeUnique, getAllProviders, getCachingKey, getPriority, getProviders, isOptimistic, isOptimized, providerChanged, provides, provides, removeProvider`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, provides, removeProviderChangeListener`

Constructor Detail

### GlobalActionHandlerService

    protected GlobalActionHandlerService()

  The GlobalActionHandlerService constructor

Method Detail

### getInstance

    public static GlobalActionHandlerService getInstance()

  Gets the instance of GlobalActionHandlerService

  Returns:
    Returns the `instance` variable

### getGlobalActionHandler

    public IGlobalActionHandler getGlobalActionHandler(IGlobalActionHandlerContext context)

  Description copied from interface: `IGlobalActionHandlerProvider`
  Returns the `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`

  Specified by:
    `getGlobalActionHandler` in interface `IGlobalActionHandlerProvider`
  Parameters:
    `context` - The context for the provider
  Returns:
    Returns an `IGlobalActionHandler`

### newProviderDescriptor

    protected Service.ProviderDescriptor newProviderDescriptor(IConfigurationElement element)

  Description copied from class: `Service`
  Creates a new provider descriptor for the specified configuration `element`.

  Overrides:
    `newProviderDescriptor` in class `Service`
  Parameters:
    `element` - The configuration element from which to create the descriptor.
  Returns:
    A new provider descriptor.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.